APITags
List tags
List thread tags in the workspace. Cursor-paginated. Requires the tags:read scope.
GET
/tagscurl -X GET "https://productlane.com/api/v2/tags" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
limitintegerquerycursorstringqueryname_containsstringquerytag_group_idstringquerycreated_afterstring<date-time>querycreated_beforestring<date-time>queryupdated_afterstring<date-time>queryupdated_beforestring<date-time>query
Response
application/json
Successful response
dataobject[]requiredpageobjectrequired
{
"data": [
{
"id": "string",
"name": "string",
"color": "string",
"icon": "string",
"tag_group_id": "string",
"created_at": "string",
"updated_at": "string"
}
],
"page": {
"cursor": "string",
"has_more": true,
"limit": 0
}
}